<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
    Copyright (c) 2022 CEA LIST.
   
     All rights reserved. This program and the accompanying materials
     are made available under the terms of the Eclipse Public License 2.0
     which accompanies this distribution, and is available at
     https://www.eclipse.org/legal/epl-2.0/
   
     SPDX-License-Identifier: EPL-2.0
     
     Contributors:
       Saadia Dhouib (CEA LIST) saadia.dhouib@cea.fr
       Fadwa Tmar (CEA LIST) fadwa.tmar@cea.fr 
 -->

<plugin>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.ui.navigator.ProjectExplorer#PopupMenu">
         <command
               commandId="org.eclipse.papyrus.opcua.uml2opcua.ui.tranform"
               label="Generate OPC-UA Information Model File"
               style="push"
               tooltip="Generate OPC-UA Information Model File">
         </command>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            defaultHandler="org.eclipse.papyrus.opcua.uml2opcua.ui.handlers.UMLtoOPCHandler"
            id="org.eclipse.papyrus.opcua.uml2opcua.ui.tranform"
            name="Generate OPC UA Information Model File">
      </command>
   </extension>
    <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.gmf.runtime.diagram.ui.DiagramEditorContextMenu?after=filtersMenu">
         <command
               commandId="Generate OPC UA NodeSet Files"
               label="Generate OPC UA NodeSet Files"
               style="push"
               tooltip="Generate OPC UA NodeSet Files">
            <visibleWhen
                  checkEnabled="true">
            </visibleWhen>
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.papyrus.views.modelexplorer.modelexplorer.popup">
         <command
               commandId="Generate OPC UA NodeSet Files"
               label="Generate OPC UA NodeSet Files"
               style="push"
               tooltip="Generate OPC UA NodeSet Files">
            <visibleWhen
                  checkEnabled="true">
            </visibleWhen>
         </command>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            defaultHandler="org.eclipse.papyrus.opcua.uml2opcua.ui.handlers.UMLtoOPCHandlerFromModelExplorer"
            id="Generate OPC UA NodeSet Files"
            name="Generate OPC UA NodeSet Files">
      </command>
   </extension>
   

</plugin>
